diff .chezmoiscripts/run_onchange_after_20-install-rtx-and-plugins.sh.tmpl @ 809:72744c944497

feat: install packages and rtx for management
author zegervdv <zegervdv@me.com>
date Tue, 05 Dec 2023 20:03:16 +0100
parents
children e6ec2d27e228
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_20-install-rtx-and-plugins.sh.tmpl	Tue Dec 05 20:03:16 2023 +0100
@@ -0,0 +1,18 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu" )) -}}
+#!/usr/bin/env bash
+
+set -xe
+
+# tool-versions hash: {{ include "dot_tool-versions" | sha256sum }}
+
+RTX_BIN=$HOME/bin/rxt
+curl https://github.com/jdx/rtx/releases/download/v2023.12.8/rtx-v2023.12.8-linux-x64 > $RTX_BIN
+chmod +x $RTX_BIN
+
+$RTX_BIN install --verbose --yes
+mkdir -p $XDG_CONFIG_HOME/direnv/lib
+$RTX_BIN direnv activate > $XDG_CONFIG_HOME/direnv/lib/use_rtx.sh
+$RTX_BIN completion zsh > ~/.zsh/completetions
+
+
+{{ end }}